summaryrefslogtreecommitdiff
path: root/test/rubygems/test_gem_config_file.rb
AgeCommit message (Expand)Author
2020-02-01Merge the current master branch of rubygems/rubygems.Hiroshi SHIBATA
2019-07-30[rubygems/rubygems] Return early if filename is emptybronzdoc
2019-07-30[rubygems/rubygems] Set config_file_name to the value of ENV["GEMRC"] if avai...bronzdoc
2019-04-28Update rubygems with latest upstream changesDavid Rodríguez
2019-02-14Merge RubyGems master@9be7858f7f17eae3058204f3c03e4b798ba18b9chsbt
2018-11-21Merge master branch from rubygems/rubygems upstream.hsbt
2018-10-22Merge rubygems master branch from github.com/rubygems/rubygems.hsbt
2016-09-28rubygems 2.6.7nobu
2016-02-01* lib/rubygems.rb, lib/rubygems/*, test/rubygems/*: Update rubygems-2.5.2.hsbt
2015-12-16Add frozen_string_literal: false for all filesnaruse
2015-11-12* lib/rubygems: Update to RubyGems 2.5.0+ HEAD(db78980).hsbt
2014-09-14* lib/rubygems: Update to RubyGems 2.4.1 master(713ab65)hsbt
2013-09-14Revert r42938 "* lib/rubygems: Update to RubyGems 2.1.3"naruse
2013-09-13* lib/rubygems: Update to RubyGems 2.1.3drbrain
2013-07-09* lib/rubygems: Import RubyGems 2.1drbrain
2013-02-25* lib/rubygems/config_file.rb: Lazily load .gem/credentials to onlydrbrain
2013-02-07* test/rubygems/test_gem_config_file.rbusa
2013-02-05* lib/rubygems/commands/push_command.rb: Fixed credential download fordrbrain
2012-11-29remove trainling spacesnobu
2012-11-29* lib/rubygems*: Updated to RubyGems 2.0drbrain
2012-04-19* lib/rubygems: Update to RubyGems 1.8.23 which contains securitydrbrain
2011-07-27 * lib/rubygems: Update to RubyGems 1.8.6.1.drbrain
2011-03-07cancel subversion backfire. sorrymatz
2011-03-07* gc.c (rb_gc_set_params): allow GC parameter configuration bymatz
2011-03-01Import rubygems 1.6.0 (released version @ 58d8a0b9)ryan
2011-01-28Import rubygems 1.5.0 (release candidate @ 09893d9)ryan
2011-01-19Import rubygems 1.5.0 (release candidate)ryan
2010-04-22Update to RubyGems 1.3.7.pre.1drbrain
2010-02-22* lib/rubygems: update to 1.3.6.nobu
2009-10-03* test/rubygems: use require_relative.nobu
2008-10-25Update to RubyGems 1.3.1 r1909.drbrain
2008-09-25Update to RubyGems 1.3.0 r1891drbrain
2008-06-26Upgrade to RubyGems 1.2.0 r1824. Incorporates [ruby-core:17353].drbrain
2008-06-19Update to RubyGems 1.1.1 r1784 (pre 1.2)drbrain
2008-06-17Update RubyGems to 1.1.1 r1778 (almost 1.2)drbrain
2007-11-10Import RubyGems trunk revision 1493.drbrain